import request from '@/utils/request'

// 查询进组培训列表
export function listFirstplan(query) {
  return request({
    url: '/newstaff/firstplan/list',
    method: 'get',
    params: query
  })
}

// 查询进组培训详细
export function getFirstplan(id) {
  return request({
    url: '/newstaff/firstplan/' + id,
    method: 'get'
  })
}

// 新增进组培训
export function addFirstplan(data) {
  return request({
    url: '/newstaff/firstplan',
    method: 'post',
    data: data
  })
}

// 修改进组培训
export function updateFirstplan(data) {
  return request({
    url: '/newstaff/firstplan',
    method: 'put',
    data: data
  })
}

// 批量进组培训
export function batchStatus(id) {
  return request({
    url: '/newstaff/firstplan/batchStatus/' + id,
    method: 'get'
  })
}

// 导出进组培训
export function exportFirstplan(query) {
  return request({
    url: '/newstaff/firstplan/export',
    method: 'get',
    params: query
  })
}
